Resendgiftcardsecuritycode
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/resend-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerEmail": "[email protected]",
"customerPhone": "<string>",
"senderName": "<string>",
"customMessage": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerEmail: '[email protected]',
customerPhone: '<string>',
senderName: '<string>',
customMessage: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/resend-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/resend-code"
payload = {
"customerEmail": "[email protected]",
"customerPhone": "<string>",
"senderName": "<string>",
"customMessage": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Cards
Resendgiftcardsecuritycode
Resend Security Code
Generates a new security code for the gift card and resends it via email or SMS. Applicable primarily to PENDING cards, allowing merchants to re-send the code if the customer lost the email/SMS or needs a fresh code.
POST
/
v2
/
giftcards
/
programs
/
{programId}
/
cards
/
{cardId}
/
resend-code
Resendgiftcardsecuritycode
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/resend-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerEmail": "[email protected]",
"customerPhone": "<string>",
"senderName": "<string>",
"customMessage": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerEmail: '[email protected]',
customerPhone: '<string>',
senderName: '<string>',
customMessage: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/resend-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/{cardId}/resend-code"
payload = {
"customerEmail": "[email protected]",
"customerPhone": "<string>",
"senderName": "<string>",
"customMessage": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
